New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

unchanged build 3.12 fails #78

Closed
Blindleistung opened this Issue Nov 30, 2013 · 2 comments

Comments

Projects
None yet
2 participants
@Blindleistung
Copy link

Blindleistung commented Nov 30, 2013

I tried to build kernel 3.12 for BeagleBone Black using instructions from
https://github.com/beagleboard/kernel/tree/3.12

checkout, called ./patch.sh, changed into kernel, copied ../config/beaglebone config file. Did no changes to the config file.

Installed tooling (gcc ) from emdebian onto my Debian wheezy (amd64) linux. Tried building a hello-world with it, which runs on beagleboard. gcc-4.4 . (output of -v call below)

build kernel with:

make ARCH=arm CROSS_COMPILE=arm-linux-gnueabi- LOADADDR=0x80008000 uImage

It runs for a few seconds, then fails on arch/arm/kernel/signal.o :

[...]
CC arch/arm/kernel/opcodes.o
CC arch/arm/kernel/process.o
CC arch/arm/kernel/ptrace.o
CC arch/arm/kernel/return_address.o
arch/arm/kernel/return_address.c:63.2: warning "TODO: return_address should use unwind tables"
arch/arm/kernel/return_address.c:63.2: warning "TODO: return_address should use unwind tables"
CC arch/arm/kernel/setup.o
CC arch/arm/kernel/signal.o
/tmp/ccHuhZYJ.s: Assembler messages:
/tmp/ccHuhZYJ.s:1009: Error: garbage following instruction -- `dmb ish'
make[1]: *** [arch/arm/kernel] Error 2

output of arm-linux-gnueabi-gcc-4.4 -v:
Using built-in specs.
Target: arm-linux-gnueabi
Configured with: ../src/configure -v --with-pkgversion='Debian 4.4.5-8' --with-bugurl=file:///usr/share/doc/gcc-4.4/README.Bugs --enable-languages=c,c++,fortran,objc,obj-c++ --prefix=/usr --program-suffix=-4.4 --enable-shared --enable-multiarch --enable-linker-build-id --with-system-zlib --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --with-gxx-include-dir=/usr/arm-linux-gnueabi/include/c++/4.4.5 --libdir=/usr/lib --enable-nls --enable-clocale=gnu --enable-libstdcxx-debug --enable-objc-gc --disable-sjlj-exceptions --enable-checking=release --program-prefix=arm-linux-gnueabi- --includedir=/usr/arm-linux-gnueabi/include --build=x86_64-linux-gnu --host=x86_64-linux-gnu --target=arm-linux-gnueabi --with-headers=/usr/arm-linux-gnueabi/include --with-libs=/usr/arm-linux-gnueabi/lib
Thread model: posix
gcc version 4.4.5 (Debian 4.4.5-8)

@RobertCNelson

This comment has been minimized.

Copy link
Member

RobertCNelson commented Nov 30, 2013

Your binutils used in that toolchain is TOO old... This actually affects all v3.12 arm based targets.

https://lkml.org/lkml/2013/9/19/72

@RobertCNelson

This comment has been minimized.

Copy link
Member

RobertCNelson commented Jan 14, 2014

Closing, old binutils...

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment